<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>Customer</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback" />

  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
    integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />

  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css" />

  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">

  <style>
    #excel_data:hover {
      background-color: #ffc10747 !important;
      color: black;
    }

    #excel_data:active {
      background-color: #e9d18c !important;
      color: black;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini">
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light" id="header-navbar">

    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Brand Logo -->
      <a href="#" class="brand-link">
        <span class="brand-text font-weight-light" style="margin-left:10px">SHOP</span>
      </a>

      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img id="user-image" src="dist/img/female.jpg" class="img-circle elevation-2" alt="User Image" />
          </div>
          <div class="info">
            <a id="leftside-username" href="#" class="d-block">Ngan Huynh</a>
          </div>
        </div>

        <!-- SidebarSearch Form -->
        <div class="form-inline">
          <div class="input-group" data-widget="sidebar-search">
            <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search" />
            <div class="input-group-append">
              <button class="btn btn-sidebar">
                <i class="fas fa-search fa-fw"></i>
              </button>
            </div>
          </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2" id="sidebar-menu">

        </nav>
        <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1></h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">Customer</li>
              </ol>
            </div>
          </div>
        </div>
        <!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card card-primary">
                <div class="card-header">
                  <div class="row">
                    <div class="col-sm-6 d-flex align-middle">
                      <h3 class="card-title align-middle recss-card-title"
                        style="margin-bottom: 0; align-self: center; text-transform: uppercase;"></h3>
                    </div>


                    <div class="col-sm-6 text-right">
                      <button data-action="create" class="btn btn-success">
                        + Create
                      </button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row mb-3">
                <div class="col-sm-2">
                  Filter By:
                </div>
                <div class="col-sm-2 text-left">
                  <select style="border-radius: 3px; border:1px solid black;height:30px" name=""
                    id="select-customerClass">
                    <option value="">Class</option>
                    <option value="1">VIP</option>
                    <option value="2">Silver</option>
                    <option value="3">Gold</option>
                    <option value="4">Diamond</option>
                  </select>
                </div>
                <div class="col-sm-3 text-left">
                  <select style="border-radius: 3px; border:1px solid black;height:30px;width: 150px;" name=""
                    id="select-customerOrders">
                    <option value="">Quantity of Orders</option>
                    <option value="1">Over 5 orders</option>
                    <option value="2">Over 10 orders</option>
                    <option value="3">Over 20 orders</option>
                    <option value="4">Over 40 orders</option>
                  </select>
                </div>
                <div class="col-sm-3">
                  <button
                    style="border: none;border-radius: 5px; padding: 4px 20px;background-color: #ffc107;color:black"
                    id="excel_data">
                    Excel
                  </button>
                </div>
              </div>
              <table class="table table-bordered table-striped table-hover" id="table">

              </table>
            </div>
          </div>
        </div>

        <!-- MODAL CREATE/UPDATE -->
        <div id="modal-edit" class="modal" tabindex="-1">
          <div class="modal-dialog modal-lg">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <div class="form-group" id="div-id" hidden>
                  <label for="input-customerId">Customer ID</label>
                  <input id="input-customerId" name="id" class="form-control" type="text" disabled />
                </div>
                <div class="form-group">
                  <label for="input-fullname">Fullname<span class="text-danger"> *</span></label>
                  <input id="input-fullname" name="fullname" class="form-control" type="text"
                    placeholder="Enter fullname" />
                  <div class="invalid-feedback"></div>
                </div>
                <div class="form-group">
                  <label for="input-username">Username<span class="text-danger"> *</span></label>
                  <input id="input-username" name="username" class="form-control" type="text"
                    placeholder="Enter username" />
                  <div class="invalid-feedback"></div>
                </div>
                <div class="form-group" id="div-password">
                  <label for="input-password">Password<span class="text-danger"> *</span></label>
                  <input id="input-password" name="password" class="form-control" type="password"
                    placeholder="Enter password" />
                  <div class="invalid-feedback"></div>
                </div>
                <div class="form-group">
                  <label for="input-email">Email</label>
                  <input id="input-email" name="email" class="form-control" type="text" placeholder="Nhập email" />
                  <div class="invalid-feedback"></div>
                </div>
                <div class="form-group">
                  <label for="input-phone">Phone Number<span class="text-danger"> *</span></label>
                  <input id="input-phone" name="phone" class="form-control" type="text"
                    placeholder="Enter phone number..." />
                  <div class="invalid-feedback"></div>
                </div>
                <div class="form-group">
                  <label for="select-province">Province<span class="text-danger"> *</span></label>
                  <select class="form-control" name="province" id="select-province">
                    <option value="">Choose province</option>
                  </select>
                  <div class="invalid-feedback"></div>
                </div>
                <div class="form-group">
                  <label for="select-district">District<span class="text-danger"> *</span></label>
                  <select class="form-control" name="district" id="select-district">
                    <option value="">Choose district</option>
                  </select>
                  <div class="invalid-feedback"></div>
                </div>
                <div class="form-group">
                  <label for="select-ward">Ward<span class="text-danger"> *</span></label>
                  <select class="form-control" name="ward" id="select-ward">
                    <option value="">Choose ward</option>
                  </select>
                  <div class="invalid-feedback"></div>
                </div>
                <div class="form-group">
                  <label for="select-street">Street<span class="text-danger"> *</span></label>
                  <select class="form-control" name="street" id="select-street">
                    <option value="">Choose street</option>
                  </select>
                  <div class="invalid-feedback"></div>
                </div>
              </div>
              <div class="modal-footer">
                <button id="button-update" type="button" class="btn btn-primary">
                  Edit
                </button>
                <button id="button-create" type="button" class="btn btn-primary">
                  Create
                </button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">
                  Cancel
                </button>
              </div>
            </div>
          </div>
        </div>

        <!-- MODAL DELETE -->
        <div id="modal-delete" class="modal" tabindex="-1" role="dialog">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <p></p>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">
                  Cancel
                </button>
                <button type="button" class="btn btn-danger" id="button-delete">
                  Sure
                </button>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <footer class="main-footer">
      <div class="float-right d-none d-sm-block"><b>Version</b> 3.2.0</div>
      <strong>Copyright &copy; 2023
        <a href="https://bery.io">Bery</a>.</strong>
      All rights reserved.
    </footer>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
  </div>
  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!--Datatables -->
  <script src="plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
  <script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
  <!-- Toastr -->
  <script src="plugins/toastr/toastr.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.min.js"></script>
  <!-- ./wrapper -->

  <script src="sidebar-menu.js"></script>
  <script src="header.js"></script>
  <script src="ajax.js"></script>
  <script src="location.js"></script>

  <!-- Page specific script -->
  <script>
    let gSelectedID = 0;
    const token = localStorage.getItem('token');

    // Date
    const formatReadableDate = (dateString) => new Date(dateString).toLocaleDateString('en-GB');

    function renderTable() {
      const table = $('#table').DataTable({
        scrollCollapse: true,
        scrollX: true,
        scrollY: 300,
        autoWidth: false,
        columns: [
          { data: 'id' },
          { data: 'id', title: 'ID' },
          { data: 'fullname', title: 'Fullname' },
          { data: 'username', title: 'Username' },
          {
            data: null,
            title: "Address",
            render: data => data.street?.streetName + ", " + data.ward?.prefix + " " + data.ward?.wardName
              + ", " + data.district?.prefix + " " +
              data.district?.districtName
              + ", " + data.province?.provinceName
          },
          { data: 'phone', title: 'Phone number' },
          { data: 'email', title: 'Email' },
          { data: 'totalOrderPayment', title: 'Total payment ($)' },
          { data: 'countOrder', title: 'Total Orders' }
        ],
        columnDefs: [
          {
            targets: 0,
            render: (data) => `
                    <div class="d-flex">
                      <button data-id=${data} data-action="search" class="btn btn-outline-secondary"><i class="fas fa-search mr-2"></i> Order List</button>
                      <button data-id=${data} data-action="edit" class="btn btn-lg" data-toggle="tooltip" title="Edit"><i class="fas fa-edit"></i></button>
                      <button data-id=${data} data-action="delete" class="btn btn-lg" data-toggle="tooltip" title="Delete"><i class="fas fa-trash-alt"></i></button>
                    </div>
            `,
          },
        ],
        language: {
          url: 'https://cdn.datatables.net/plug-ins/1.13.6/i18n/vi.json',
        },
        ajax: {
          url: 'http://localhost:8090/customer/report',
          data: (request) => {
            const {
              columns, order, search, start, length,
            } = request;
            let minOrder = null;
            let maxOrder = null;
            if ($("#select-customerOrders").val() === "1") {
              minOrder = 5;
              maxOrder = 10;
            } else if ($("#select-customerOrders").val() === "2") {
              minOrder = 11;
              maxOrder = 20;
            } else if ($("#select-customerOrders").val() === "3") {
              minOrder = 21;
              maxOrder = 40;
            } else if ($("#select-customerOrders").val() === "4") {
              minOrder = 41;
              maxOrder = 1000;
            }

            let minPrice = null;
            let maxPrice = null;
            if ($("#select-customerClass").val() === "1") {
              minPrice = 1000;
              maxPrice = 1999;
            } else if ($("#select-customerClass").val() === "2") {
              minPrice = 2000;
              maxPrice = 3999;
            } else if ($("#select-customerClass").val() === "3") {
              minPrice = 4000;
              maxPrice = 6999;
            } else if ($("#select-customerClass").val() === "4") {
              minPrice = 7000;
              maxPrice = 1000000;
            }

            return {
              min: minPrice || null,
              max: maxPrice || null,
              minOrder: minOrder || null,
              maxOrder: maxOrder || null,
              keyword: search.value || null,
              sortBy: columns[order[0].column].data,
              sortDirection: order[0].dir.toUpperCase(),
              page: Math.floor(start / length),
              size: length,
            };
          },

          dataFilter: (response) => {
            const responseJSON = JSON.parse(response);
            responseJSON.recordsTotal = responseJSON.totalElements;
            responseJSON.recordsFiltered = responseJSON.totalElements;
            responseJSON.data = responseJSON.content;

            return JSON.stringify(responseJSON);
          },
        },
        processing: true,
        serverSide: true,
        orderMulti: false,
      });

      $(document).on('change', '#select-customerClass', () => {
        table.ajax.reload();
      });

      $(document).on('change', '#select-customerOrders', () => {
        table.ajax.reload();
      });

      return table;

    }

    // Hiển thị data lên modal
    function displayDataOnInput(pObj) {
      $('#input-customerId').val(pObj.id);
      $('#input-fullname').val(pObj.fullname);
      $('#input-username').val(pObj.username);
      $('#input-phone').val(pObj.phone);
      $('#input-email').val(pObj.email);

      if (pObj.province?.id) {
        $('#select-province').val(pObj.province.id).trigger('change');
      }

      if (pObj.district?.id) {
        $('#select-district').html(`<option value="${pObj.district.id}">${pObj.district.districtName}</option>`);
        $('#select-district').val(pObj.district.id);
      }

      if (pObj.ward?.id) {
        $('#select-ward').html(`<option value="${pObj.ward.id}">${pObj.ward.wardName}</option>`);
        $('#select-ward').val(pObj.ward.id);
      }

      if (pObj.street?.id) {
        $('#select-street').html(`<option value="${pObj.street.id}">${pObj.street.streetName}</option>`);
        $('#select-street').val(pObj.street.id);
      }
    }

    // Đọc data trên modal
    function readData() {
      const objData = {
        fullname: '',
        username: '',
        password: '',
        phone: '',
        email: '',
        province: {
          id: null,
        },
        district: {
          id: null,
        },
        ward: {
          id: null,
        },
        street: {
          id: null,
        }
      };

      objData.fullname = $('#input-fullname').val();
      objData.username = $('#input-username').val();
      objData.password = $('#input-password').val();
      objData.phone = $('#input-phone').val();
      objData.email = $('#input-email').val();

      if ($('#select-province').val()) {
        objData.province = {
          id: Number($('#select-province').val()),
        };
      }
      if ($('#select-district').val()) {
        objData.district = {
          id: Number($('#select-district').val()),
        };
      }

      if ($('#select-ward').val()) {
        objData.ward = {
          id: Number($('#select-ward').val()),
        };
      }

      if ($('#select-street').val()) {
        objData.street = {
          id: Number($('#select-street').val()),
        };
      }
      return objData;
    }

    // Xóa toàn bộ dữ liệu trên modal
    function clearData() {
      $('#input-fullname').val('');
      $('#input-username').val('');
      $('#input-password').val('');
      $('#input-phone').val('');
      $('#input-email').val('');

      $('#select-province').val('');
      $('#select-district').val('');
      $('#select-district').prop('disabled', true);
      $('#select-ward').val('');
      $('#select-ward').prop('disabled', true);
      $('#select-street').val('');
      $('#select-street').prop('disabled', true);
      $('.form-control').removeClass('is-invalid');
    }

    //Hàm kiểm tra dữ liệu trên modal
    function checkData(pObjData) {
      let isValid = true;
      $('.form-control').removeClass('is-invalid');

      if (pObjData.fullname === '') {
        $('#input-fullname').addClass('is-invalid');
        $('#input-fullname ~ .invalid-feedback').text('Please enter fullname');
        isValid = false;
      }

      if (pObjData.username === '') {
        $('#input-username').addClass('is-invalid');
        $('#input-username ~ .invalid-feedback').text('Please enter username');
        isValid = false;
      }

      if (pObjData.password === '') {
        $('#input-password').addClass('is-invalid');
        $('#input-password ~ .invalid-feedback').text('Please enter password');
        isValid = false;
      }

      if (pObjData.phone === '') {
        $('#input-phone').addClass('is-invalid');
        $('#input-phone ~ .invalid-feedback').text('Please enter phone number');
        isValid = false;
      }

      if (pObjData.province?.id === null) {
        $('#select-province').addClass('is-invalid');
        $('#select-province ~ .invalid-feedback').text('Please select province');
        isValid = false;
      }

      if (pObjData.district?.id === null) {
        $('#select-district').addClass('is-invalid');
        $('#select-district ~ .invalid-feedback').text('Please select district');
        isValid = false;
      }

      if (pObjData.ward?.id === null) {
        $('#select-ward').addClass('is-invalid');
        $('#select-ward ~ .invalid-feedback').text('Please select ward');
        isValid = false;
      }

      if (pObjData.street?.id === null) {
        $('#select-street').addClass('is-invalid');
        $('#select-street ~ .invalid-feedback').text('Please select street');
        isValid = false;
      }

      return isValid;
    }

    // Gán sự kiện cho nút create trên table
    $('button[data-action="create"]').on('click', () => {
      $('#modal-edit').modal('show');
      $('#modal-edit .modal-title').text('CREAT CUSTOMER');
      $('#input-updateDate').attr('disabled', true);
      $('#select-updateBy').attr('disabled', true);
      $('#input-username').removeAttr('disable');
      $('#div-password').show();
      $('#button-update').hide();
      $('#input-id').hide();
      $('#button-create').show();

      $('#input-createDate').attr('disabled', true);

      clearData();

    });

    // Gán sự kiện cho nút create trên modal
    $('#button-create').on('click', () => {
      // Đọc dữ liệu trên form
      const objData = readData();

      // Kiểm tra dữ liệu
      const isValidated = checkData(objData);

      if (isValidated) {
        // Gọi Api tạo mới data
        $.ajax({
          url: 'http://localhost:8090/customer/',
          type: 'POST',
          contentType: 'application/json',
          data: JSON.stringify(objData),
          success: () => {
            $('#modal-edit').modal('hide');
            $(document).Toasts('create', {
              class: 'bg-success',
              title: 'Success',
              subtitle: '',
              body: 'Create data successful.',
              autohide: true,
              delay: 850,
            })
          },
          error: () => {
            $('#modal-edit').modal('hide');
            $(document).Toasts('create', {
              class: 'bg-danger',
              title: 'Error',
              subtitle: '',
              body: 'Create data not successful.',
              autohide: true,
              delay: 850,
            })
          },
        });
      }
    });

    // Gán sự kiện cho nút edit trên table
    $('#table').on('click', 'button[data-action="edit"]', (event) => {
      gSelectedID = event.currentTarget.dataset.id;

      $('#modal-edit').modal('show');
      $('#modal-edit .modal-title').text('EDIT CUSTOMER');
      $('#input-username').attr('disabled', true);
      $('#button-create').hide();
      $('#button-update').show();
      $('#div-id').show();
      $('#div-password').hide();
      clearData();

      // Gọi API lấy dữ liệu customer theo Id
      $.ajax({
        url: `http://localhost:8090/customer/${gSelectedID}`,
        type: 'GET',
        dataType: 'json',
        success: (res) => {
          displayDataOnInput(res);
          // Gán sự kiện cho nút edit trên modal
          $('#button-update').on('click', () => {
            // Đọc dữ liệu trên modal
            const objData = {
              fullname: $('#input-fullname').val(),
              username: res.username,
              password: res.password,
              phone: $('#input-phone').val(),
              email: $('#input-email').val(),
              province: {
                id: $('#select-province').val(),
              },
              district: {
                id: $('#select-district').val()
              },
              ward: {
                id: $('#select-ward').val()
              },
              street: {
                id: $('#select-street').val()
              }
            };

            // Kiểm tra dữ liệu
            const isValidated = checkData(objData);

            if (isValidated) {
              // Gọi Api update data
              $.ajax({
                url: `http://localhost:8090/customer/${gSelectedID}`,
                type: 'PUT',
                headers: {
                  "Content-Type": "application/json",
                  "Authorization": `Bearer ${token}`,
                },
                data: JSON.stringify(objData),
                success: () => {
                  $('#modal-edit').modal('hide');
                  $(document).Toasts('create', {
                    class: 'bg-success',
                    title: 'Success',
                    subtitle: '',
                    body: 'Update data successful.',
                    autohide: true,
                    delay: 850,
                  })
                },
                error: () => {
                  $(document).Toasts('create', {
                    class: 'bg-danger',
                    title: 'Error',
                    subtitle: '',
                    body: 'Update data not successful.',
                    autohide: true,
                    delay: 850,
                  })
                },
              });
            }
          });
        },
      });
    });

    // Gán sự kiện cho nút delete trên table
    $('#table').on('click', 'button[data-action="delete"]', (event) => {
      gSelectedID = event.currentTarget.dataset.id;

      $('#modal-delete').modal('show');
      $('#modal-delete .modal-title').text('DELETE CUSTOMER');
      $('#modal-delete .modal-body p').text('Are you sure you want to delete this customer?');
    });

    // Gán sự kiện cho nút delete trên modal
    $('#button-delete').on('click', () => {
      // Gọi Api delete data
      $.ajax({
        url: `http://localhost:8090/customer/${gSelectedID}`,
        type: 'DELETE',
        success: () => {
          $('#modal-delete').modal('hide');
          $(document).Toasts('create', {
            class: 'bg-success',
            title: 'Success',
            subtitle: '',
            body: 'Delete data successful.',
            autohide: true,
            delay: 850,
          })
        },
        error: () => {
          $('#modal-delete').modal('hide');
          $(document).Toasts('create', {
            class: 'bg-danger',
            title: 'Error',
            subtitle: '',
            body: 'Delete data not successful.',
            autohide: true,
            delay: 850,
          })
        },
      });
    });

    //Gán sự kiện cho nút search order trên table
    $('#table').on('click', 'button[data-action="search"]', (event) => {
      window.location.href = `order.html?customer=${event.currentTarget.dataset.id}`;
    });

    $(document).ready(() => {
      document.title = 'Customer Management';
      $('.recss-card-title').text(document.title);

      const userId = localStorage.getItem('userId');

      const vUsername = localStorage.getItem('username');
      $('#username').text(`${vUsername}`);
      $('#leftside-username').text(`${vUsername}`);

      let customerData = [];
      renderTable();

      // Xuất file excel
      $("#excel_data").on("click", function () {
        let minOrder = '';
        let maxOrder = '';
        if ($("#select-customerOrders").val() === "1") {
          minOrder = 5;
          maxOrder = 10;
        } else if ($("#select-customerOrders").val() === "2") {
          minOrder = 11;
          maxOrder = 20;
        } else if ($("#select-customerOrders").val() === "3") {
          minOrder = 21;
          maxOrder = 40;
        } else if ($("#select-customerOrders").val() === "4") {
          minOrder = 41;
          maxOrder = 1000;
        }

        let minPrice = '';
        let maxPrice = '';
        if ($("#select-customerClass").val() === "1") {
          minPrice = 1000;
          maxPrice = 1999;
        } else if ($("#select-customerClass").val() === "2") {
          minPrice = 2000;
          maxPrice = 3999;
        } else if ($("#select-customerClass").val() === "3") {
          minPrice = 4000;
          maxPrice = 6999;
        } else if ($("#select-customerClass").val() === "4") {
          minPrice = 7000;
          maxPrice = 1000000;
        }
        $.ajax({
          type: "get",
          url: `http://localhost:8090/customer/export/excel?min=${minPrice}&max=${maxPrice}&minOrder=${minOrder}&maxOrder=${maxOrder}`,
          xhrFields: {
            responseType: 'blob'
          },
          success: function (result) {
            var blob = result;
            var downloadUrl = URL.createObjectURL(blob);
            var a = document.createElement("a");
            a.href = downloadUrl;
            a.download = "downloadFile.xlsx";
            document.body.appendChild(a);
            a.click();
          }
        });
      })


      // Gọi API lấy dữ liệu customer
      $.ajax({
        type: "get",
        url: `http://localhost:8090/employee/${userId}`,
        success: function (result) {
          if (result.photos[0]) {
            $('#user-image').attr('src', `${result.photos[0].url}`)
          }
        }
      })

    })
  </script>
</body>

</html>